## haskell-gtk3 0.14.0

=== demo/embedded/Makefile ===

PROGS  = Embedded Uzbl MPlayer
SOURCES = Embedded.hs Uzbl.hs MPlayer.hs

all : $(PROGS)

Embedded : Embedded.hs
	$(HC) --make $< -o $@ $(HCFLAGS)

Uzbl : Uzbl.hs
	$(HC) --make $< -o $@ $(HCFLAGS)

MPlayer : MPlayer.hs
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

## haskell-gtk3 0.12.5.6

=== debian/changelog ===
haskell-gtk3 (0.12.5.6-3) unstable; urgency=medium

  * Work around predefined "pixel" on some architectures (closes: #766831).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Dec 2014 15:34:08 +0000

haskell-gtk3 (0.12.5.6-2) unstable; urgency=medium

  * Patched to Closes: #763221

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Oct 2014 10:32:04 +0200

haskell-gtk3 (0.12.5.6-1) unstable; urgency=low

  * Initial upload of the gtk3 bindings

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Apr 2014 11:24:04 +0200

haskell-gtk (0.12.4-4) UNRELEASED; urgency=low

  * Adjust watch file to new hackage layout

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Oct 2013 18:20:26 +0200

haskell-gtk (0.12.4-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:19 +0200

haskell-gtk (0.12.4-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:45 +0200

haskell-gtk (0.12.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 26 Nov 2012 10:55:19 +0100

haskell-gtk (0.12.3-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 05 May 2012 23:57:40 -0400

haskell-gtk (0.12.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 23:58:39 +0100

haskell-gtk (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Lets be optimistic and re-enable -prof package (Closes: #520649)
  * Remove preinst script, not require with clean ghc-pkg database
  * gtk-thread-backport-597837.patch: Removed, applied upstream
  * utf8.patch: Removed, applied upstream

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 23:26:55 +0530

haskell-gtk (0.11.0-5) unstable; urgency=low

  * debian/patches/gtk-thread-backport-597837.patch: 
    Backport from 0.11.2, Closes: #597837

 -- Joachim Breitner <nomeata@debian.org>  Sat, 02 Oct 2010 16:43:13 +0200

haskell-gtk (0.11.0-4) unstable; urgency=low

  * Work around ghc timer issues on hppa (Closes: #590258)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Jul 2010 19:37:52 +0200

haskell-gtk (0.11.0-3) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 18:48:52 -0300

haskell-gtk (0.11.0-2) unstable; urgency=low

  * control: Include Build-Depends: in gio, to enable Cabal flag.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 31 May 2010 09:45:42 -0300

haskell-gtk (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583225)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:43:48 -0300

=== debian/control ===
Source: haskell-gtk3
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12.5.3)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12.5.3)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , libghc-pango-dev (>= 0.12.5.3)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gio-dev (>= 0.12.5)
  , libghc-gio-dev (<< 0.13)
  , libghc-gio-prof
  , libgtk-3-dev
  , gtk2hs-buildtools (>= 0.12.5)
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gio-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/gtk
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtk
X-Description: Binding to the Gtk+ graphical user interface library
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

Package: libghc-gtk3-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtk-3-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-gtk3-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}


Package: libghc-gtk3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-gtk3 0.13.6

=== debian/changelog ===
haskell-gtk3 (0.13.6-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Jun 2015 02:39:20 +0100

haskell-gtk3 (0.13.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:03 +0200

haskell-gtk3 (0.13.6-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 19:03:04 +0200

haskell-gtk3 (0.13.3-2) experimental; urgency=medium

  * Bump dependency on gtk2hs-buildtools 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Dec 2014 11:48:37 +0100

haskell-gtk3 (0.13.3-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 19:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,31 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
-  , libghc-glib-dev (>= 0.12.5.3)
-  , libghc-glib-dev (<< 0.13)
+  , libghc-text-dev (>= 0.11.0.6)
+  , libghc-text-dev (<= 1.3)
+  , libghc-text-prof
+  , libghc-glib-dev (>= 0.13)
+  , libghc-glib-dev (<< 0.14)
   , libghc-glib-prof
-  , libghc-cairo-dev (>= 0.12.5.3)
-  , libghc-cairo-dev (<< 0.13)
+  , libghc-cairo-dev (>= 0.13)
+  , libghc-cairo-dev (<< 0.14)
   , libghc-cairo-prof
-  , libghc-pango-dev (>= 0.12.5.3)
-  , libghc-pango-dev (<< 0.13)
+  , libghc-pango-dev (>= 0.13)
+  , libghc-pango-dev (<< 0.14)
   , libghc-pango-prof
-  , libghc-gio-dev (>= 0.12.5)
-  , libghc-gio-dev (<< 0.13)
-  , libghc-gio-prof
   , libgtk-3-dev
-  , gtk2hs-buildtools (>= 0.12.5)
+  , gtk2hs-buildtools (>= 0.13.0.3)
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
+  , libghc-text-doc
   , libghc-glib-doc
   , libghc-cairo-doc
   , libghc-pango-doc
-  , libghc-gio-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/gtk
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtk

## haskell-gtk3 0.13.8

=== debian/changelog ===
haskell-gtk3 (0.13.8-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 Jul 2015 17:36:45 +0100

haskell-gtk3 (0.13.8-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:00:59 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
   , libghc-pango-dev (<< 0.14)
   , libghc-pango-prof
   , libgtk-3-dev
-  , gtk2hs-buildtools (>= 0.13.0.3)
+  , gtk2hs-buildtools (>= 0.13.0.4)
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-text-doc

## haskell-gtk3 0.13.9

=== debian/changelog ===
haskell-gtk3 (0.13.9-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Jul 2015 15:09:41 +0200

=== debian/control ===
--- 
+++ 
@@ -76,4 +76,3 @@
  ${haskell:LongDescription}
  .
  ${haskell:Blurb}
-

## haskell-gtk3 0.14.0

=== debian/changelog ===
haskell-gtk3 (0.14.0-2build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jan 2016 16:49:24 +0000

haskell-gtk3 (0.14.0-2) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:30 -0500

haskell-gtk3 (0.14.0-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:44 +0200

=== debian/control ===
Source: haskell-gtk3
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-cairo-dev (>= 0.13.0.0),
 libghc-cairo-dev (<< 0.14),
 libghc-cairo-prof,
 libghc-gio-dev (>= 0.13.0),
 libghc-gio-dev (<< 0.14),
 libghc-gio-prof,
 libghc-glib-dev (>= 0.13.0.0),
 libghc-glib-dev (<< 0.14),
 libghc-glib-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-pango-dev (>= 0.13.0.0),
 libghc-pango-dev (<< 0.14),
 libghc-pango-prof,
 libghc-text-dev (>= 0.11.0.6),
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-cairo-dev,
 libghc-text-dev,
 libgtk-3-dev,
 gtk2hs-buildtools (>= 0.13.0.4),
Build-Depends-Indep: ghc-doc,
 libghc-cairo-doc,
 libghc-gio-doc,
 libghc-glib-doc,
 libghc-mtl-doc,
 libghc-pango-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Binding to the Gtk+ graphical user interface library
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

Package: libghc-gtk3-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libgtk-3-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-gtk3-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-gtk3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

# Still needed?
# DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-gtk3 0.14.2

=== debian/changelog ===
haskell-gtk3 (0.14.2-2build4) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Sep 2016 11:30:53 +0200

haskell-gtk3 (0.14.2-2build3) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2016 18:11:49 +0200

haskell-gtk3 (0.14.2-2build2) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jun 2016 17:58:08 +0100

haskell-gtk3 (0.14.2-2build1) yakkety; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Apr 2016 14:36:54 +0100

haskell-gtk3 (0.14.2-2) unstable; urgency=medium

  * Run setup build even if only building documentation

 -- Joachim Breitner <nomeata@debian.org>  Mon, 21 Mar 2016 16:59:15 +0100

haskell-gtk3 (0.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 13 Mar 2016 18:54:01 -0400

## haskell-gtk3 0.14.6

=== debian/changelog ===
haskell-gtk3 (0.14.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:02:47 -0400

haskell-gtk3 (0.14.5-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:55 -0400

haskell-gtk3 (0.14.5-2) experimental; urgency=medium

  * Add gtk2hs-buildtools libraries to Build-Depends.

 -- Clint Adams <clint@debian.org>  Mon, 24 Oct 2016 21:23:53 -0400

haskell-gtk3 (0.14.5-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 20:13:12 -0400

=== debian/control ===
Source: haskell-gtk3
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 gtk2hs-buildtools (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
 libghc-gtk2hs-buildtools-dev (<< 0.14),
 libghc-gtk2hs-buildtools-prof,
 haskell-devscripts (>= 0.13),
 libghc-cairo-dev,
 libghc-cairo-dev (<< 0.14),
 libghc-cairo-dev (>= 0.13.0.0),
 libghc-cairo-prof,
 libghc-gio-dev (<< 0.14),
 libghc-gio-dev (>= 0.13.0),
 libghc-gio-prof,
 libghc-glib-dev (<< 0.14),
 libghc-glib-dev (>= 0.13.0.0),
 libghc-glib-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-pango-dev (<< 0.14),
 libghc-pango-dev (>= 0.13.0.0),
 libghc-pango-prof,
 libghc-text-dev,
 libghc-text-dev (<< 1.3),
 libghc-text-dev (>= 0.11.0.6),
 libghc-text-prof,
 libgtk-3-dev,
Build-Depends-Indep:
 ghc-doc,
 libghc-gtk2hs-buildtools-doc,
 libghc-cairo-doc,
 libghc-gio-doc,
 libghc-glib-doc,
 libghc-mtl-doc,
 libghc-pango-doc,
 libghc-text-doc,
Standards-Version: 3.9.8
Homepage: http://projects.haskell.org/gtk2hs/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-gtk3
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: binding to the Gtk+ graphical user interface library
 This is the core library of the Gtk2Hs suite of libraries for Haskell based on
 Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
 graphical user interfaces.

Package: libghc-gtk3-dev
Architecture: any
Depends:
 libgtk-3-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-gtk3-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-gtk3-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/gtk3/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-gtk3 0.14.7

=== debian/changelog ===
haskell-gtk3 (0.14.7-1build1) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Nov 2017 20:11:04 +0100

haskell-gtk3 (0.14.7-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 16:36:18 -0500

## haskell-gtk3 0.14.8

=== demo/menu/Makefile ===

PROGS  = menudemo combodemo
SOURCES = MenuDemo.hs ComboDemo.hs

all : $(PROGS)

menudemo : MenuDemo.hs
	$(HC_RULE)

combodemo : ComboDemo.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/statusicon/Makefile ===

PROG  = statusIcon
SOURCES = StatusIcon.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== debian/changelog ===
haskell-gtk3 (0.14.8-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:51 -0400

haskell-gtk3 (0.14.8-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 18 Dec 2017 09:46:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -43,10 +43,10 @@
  libghc-mtl-doc,
  libghc-pango-doc,
  libghc-text-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-gtk3
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk3
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 X-Description: binding to the Gtk+ graphical user interface library
  This is the core library of the Gtk2Hs suite of libraries for Haskell based on
  Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating

## haskell-gtk3 0.14.9

=== debian/changelog ===
haskell-gtk3 (0.14.9-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:31 +0300

haskell-gtk3 (0.14.9-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:10:10 +0300

haskell-gtk3 (0.14.9-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 21:40:47 -0400

=== debian/watch ===
version=3
https://hackage.haskell.org/package/gtk3/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-gtk3 0.15.1

=== debian/changelog ===
haskell-gtk3 (0.15.1-2build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Aug 2019 05:42:41 +0200

haskell-gtk3 (0.15.1-2) unstable; urgency=medium

  * Patch for new glib

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Aug 2019 17:50:44 +0200

haskell-gtk3 (0.15.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 01 Aug 2019 19:09:56 -0400

## haskell-gtk3 0.15.5

=== demo/buttonbox/Makefile ===

PROG  = buttonbox
SOURCES = ButtonBox.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/fastdraw/Makefile ===

PROG  = fastDraw
SOURCES = FastDraw.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/filechooser/Makefile ===

PROG  = filechooser
SOURCES = FileChooserDemo.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== debian/changelog ===
haskell-gtk3 (0.15.5-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:31:27 +0000

haskell-gtk3 (0.15.5-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Aug 2020 12:45:42 +0200

haskell-gtk3 (0.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 19 Aug 2020 06:56:56 +0300

haskell-gtk3 (0.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 17:54:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: haskell-gtk3
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  gtk2hs-buildtools (>= 0.13.2.0),
  libghc-gtk2hs-buildtools-dev (>= 0.13.2.0),
@@ -24,15 +26,9 @@
  libghc-glib-dev (<< 0.14),
  libghc-glib-dev (>= 0.13.0.0),
  libghc-glib-prof,
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-pango-dev (<< 0.14),
  libghc-pango-dev (>= 0.13.0.0),
  libghc-pango-prof,
- libghc-text-dev,
- libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 0.11.0.6),
- libghc-text-prof,
  libgtk-3-dev,
 Build-Depends-Indep:
  ghc-doc,
@@ -40,13 +36,11 @@
  libghc-cairo-doc,
  libghc-gio-doc,
  libghc-glib-doc,
- libghc-mtl-doc,
  libghc-pango-doc,
- libghc-text-doc,
 Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk3
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk3]
 X-Description: binding to the Gtk+ graphical user interface library
  This is the core library of the Gtk2Hs suite of libraries for Haskell based on
  Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating

## haskell-gtk3 0.15.7

=== demo/carsim/Makefile ===

PROGS  = carsim
SOURCES = CarSim.hs

all : $(PROGS)

carsim : CarSim.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/unicode/Makefile ===

PROG  = arabic
SOURCES = Arabic.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== debian/changelog ===
haskell-gtk3 (0.15.7-1) unstable; urgency=medium

  * New upstream release (Closes: #1011896)
  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 23 Jul 2022 16:00:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haskell-gtk3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
@@ -37,7 +36,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk3
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk3]

## haskell-gtk3 0.15.8

=== debian/changelog ===
haskell-gtk3 (0.15.8-1build4) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Apr 2024 23:19:38 +0200

haskell-gtk3 (0.15.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:21:45 +0000

haskell-gtk3 (0.15.8-1build2) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:11:43 +0000

haskell-gtk3 (0.15.8-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:51:47 +0000

haskell-gtk3 (0.15.8-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 13 Sep 2023 18:15:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-gtk3
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -36,7 +37,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk3
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk3]

## haskell-gtk3 0.15.9

=== debian/changelog ===
haskell-gtk3 (0.15.9-1build1) plucky; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 02 Mar 2025 09:04:19 +0100

haskell-gtk3 (0.15.9-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Oct 2024 21:04:56 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-gtk3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
@@ -37,7 +36,7 @@
  libghc-gio-doc,
  libghc-glib-doc,
  libghc-pango-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://projects.haskell.org/gtk2hs/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-gtk3
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-gtk3]

## haskell-gtk3 0.15.10

=== debian/changelog ===
haskell-gtk3 (0.15.10-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 14 Jan 2026 10:02:57 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 8.4.3),
  ghc-prof,
  gtk2hs-buildtools (>= 0.13.2.0),

=== debian/rules ===
#!/usr/bin/make -f

# Still needed?
# DEB_SETUP_GHC_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

%:
	dh $@
